#pragma once
#include "levelmanager.hpp"
#include <SFML/Graphics/RenderWindow.hpp>
#include "stats.hpp"
#include "overlay_ui.hpp"

namespace gui {

  class MainUI {
    public:
    Stats $stats;
    sf::RenderWindow& $window;
    GameLevel $level;
    TexturePack& $textures;
    OverlayUI $overlay_ui;

    MainUI(sf::RenderWindow& window, GameLevel level, TexturePack &textures);
    void debug();
    void draw_stats();
    void draw_blood();
    void render();
    void draw();
  };
}
